
Foreman - Feature #3912

Add ability for locations / organizations to inherit from a parent location / organization

12/18/2013 03:12 PM - Joseph Magen

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: Organizations and Locations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Related to Foreman - Bug #4017: class TaxHost - finding taxonomy mismatches n... Closed 01/15/2014

Related to Foreman - Feature #4376: Improve resource list UIs when in the con... New 02/18/2014

Related to Hammer CLI - Feature #4377: Improve resource lists for host creati... New 02/18/2014

Related to Foreman - Feature #564: Implement OUs hierarchy to allow reusing (... Closed 01/04/2011

Related to Foreman - Feature #4617: add feature to change parent_id of locati... Closed 03/10/2014

Related to Foreman - Bug #10358: API doc for /api/v2/locations does not menti... Closed

Related to Katello - Feature #10789: Nested organizations New

Related to Foreman - Bug #11764: Taxonomy parameters cannot be accessed throu... Closed 09/10/2015

Related to Foreman - Bug #17458: Some admins are missing in user list in spec... Closed 11/23/2016

Associated revisions

Revision 1fa008a4 - 02/19/2014 10:31 AM - Joseph Magen

fixes #3912 - add inheritance for locations / organizations

History

#1 - 12/18/2013 03:13 PM - Joseph Magen

- Target version set to 1.9.3

initial step towards implementing issue #3099

#2 - 12/24/2013 07:30 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1105

#3 - 01/09/2014 02:11 PM - Anonymous

- Target version changed from 1.9.3 to 1.9.2

#4 - 01/15/2014 09:50 AM - Dominic Cleal

- Related to Bug #4017: class TaxHost - finding taxonomy mismatches need to be updated after PR #1105 is merged added

#5 - 02/06/2014 12:12 PM - Anonymous

- Target version changed from 1.9.2 to 1.9.1

#6 - 02/18/2014 02:00 PM - Dominic Cleal

- Related to Feature #4376: Improve resource list UIs when in the context of a nested taxonomy added

05/11/2024 1/2

https://projects.theforeman.org/issues/3099
https://github.com/theforeman/foreman/pull/1105


#7 - 02/18/2014 02:02 PM - Dominic Cleal

- Related to Feature #4377: Improve resource lists for host creation in taxonomies added

#8 - 02/19/2014 10:32 AM - Dominic Cleal

- translation missing: en.field_release set to 4

#9 - 02/19/2014 11:31 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1fa008a4ec7d26855b9b67aac3e5f66b0e3e0670.

#10 - 02/20/2014 08:25 AM - Ohad Levy

- Related to Feature #564: Implement OUs hierarchy to allow reusing (host) groups with client/OU specific classes and parameters. added

#11 - 03/17/2014 07:58 AM - Dominic Cleal

- Related to Feature #4617: add feature to change parent_id of location or organization added

#12 - 05/05/2015 03:53 AM - Dominic Cleal

- Related to Bug #10358: API doc for /api/v2/locations does not mention parents added

#13 - 06/12/2015 09:31 AM - Dominic Cleal

- Related to Feature #10789: Nested organizations added

#14 - 09/10/2015 11:09 AM - Dominic Cleal

- Related to Bug #11764: Taxonomy parameters cannot be accessed through API added

#15 - 11/23/2016 05:05 AM - Marek Hulán

- Related to Bug #17458: Some admins are missing in user list in specific organization added
